<?php
/*
 * The template for displaying archive pages.
 * Author & Copyright: VictorThemes
 * URL: http://themeforest.net/user/VictorThemes
 */
get_header();

if (cascara_is_post_type('team')) {

$team_limit = cs_get_option('team_limit');
$team_orderby = cs_get_option('team_orderby');
$team_order = cs_get_option('team_order');
$team_column = cs_get_option('team_column');

if ($team_column === '3') {
	$team_column_class = 'col-sm-4';
} else {
	$team_column_class = 'col-md-3 col-sm-4';
}

$team_limit = $team_limit ? $team_limit : '8';
// Query Starts Here
// Pagination
global $paged;
if( get_query_var( 'paged' ) )
  $my_page = get_query_var( 'paged' );
else {
  if( get_query_var( 'page' ) )
    $my_page = get_query_var( 'page' );
  else
    $my_page = 1;
  set_query_var( 'paged', $my_page );
  $paged = $my_page;
}

$args = array(
  'paged' => $my_page,
  'post_type' => 'team',
  'posts_per_page' => (int)$team_limit,
  'orderby' => $team_orderby,
  'order' => $team_order,
);
$cascara_team_qury = new WP_Query( $args );
if ($cascara_team_qury->have_posts()) :
?>
<div class="cscra-team">
  <div class="container">
    <div class="row">
    <?php
    while ($cascara_team_qury->have_posts()) : $cascara_team_qury->the_post();
    // Featured Image
		$large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
		$large_image = $large_image[0];
		$abt_title = get_the_title();
		if(class_exists('Aq_Resize')) {
			$team_img = aq_resize( $large_image, '270', '340', true );
		} else {$team_img = $large_image;}
		$team_featured_img = ( $team_img ) ? $team_img : $large_image;
    // Link
		$team_featured_class = ( $large_image ) ? ' hav-thumb' : ' dhav-thumb';
    $team_options = get_post_meta( get_the_ID(), 'team_options', true );
    $team_pro = $team_options['team_job_position'];
    ?>
	    <div class="<?php echo esc_attr($team_column_class); ?>">
	      <div class="mate-item cscra-item<?php echo esc_attr($team_featured_class); ?>">
	        <div class="cscra-image">
	          <?php if ($large_image) { ?>
		        	<img src="<?php echo esc_url($team_featured_img); ?>" alt="<?php echo esc_attr($abt_title); ?>">
		        <?php } ?>
	          <div class="mate-info">
	            <h4 class="mate-name"><?php echo esc_html($abt_title); ?></h4>
		          <?php if ($team_pro) { ?>
		            <p class="mate-designation"><?php echo esc_html($team_pro); ?></p>
		          <?php } ?>
	          </div>
	        </div>
	      </div>
	    </div>
    <?php endwhile; ?>
    </div>
  </div>
</div> <!-- Team End -->

<?php
  endif;

} else {
// Metabox
$cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox', true );

if ($cascara_meta) {
	$cascara_content_padding = $cascara_meta['content_spacings'];
} else { $cascara_content_padding = ''; }
// Padding - Metabox
if ($cascara_content_padding && $cascara_content_padding !== 'padding-none') {
	$cascara_content_top_spacings = $cascara_meta['content_top_spacings'];
	$cascara_content_bottom_spacings = $cascara_meta['content_bottom_spacings'];
	if ($cascara_content_padding === 'padding-custom') {
		$cascara_content_top_spacings = $cascara_content_top_spacings ? 'padding-top:'. cascara_check_px($cascara_content_top_spacings) .';' : '';
		$cascara_content_bottom_spacings = $cascara_content_bottom_spacings ? 'padding-bottom:'. cascara_check_px($cascara_content_bottom_spacings) .';' : '';
		$cascara_custom_padding = $cascara_content_top_spacings . $cascara_content_bottom_spacings;
	} else {
		$cascara_custom_padding = '';
	}
} else {
	$cascara_custom_padding = '';
}

// Theme Options
$cascara_sidebar_position = cs_get_option('blog_sidebar_position');
$cascara_pagi_style = cs_get_option('blog_pagination_style');
$blog_load_btn_type = cs_get_option('blog_load_btn_type');
$cascara_load_more = cs_get_option('blog_load_more_btn_txt');
$cascara_loader_icon = cs_get_option('blog_loader_icon_option');
$promotion_image_top = cs_get_option('promotion_image_top');
$promotion_image_link = cs_get_option('promotion_image_link');
$promotion_image_bottom = cs_get_option('promotion_image_bottom');
$promotion_image_link_bottom = cs_get_option('promotion_image_link_bottom');
$blog_widget = cs_get_option('blog_widget');

$cascara_load_more = ( $cascara_load_more ) ? $cascara_load_more : esc_html__( 'Load More', 'cascara' );
$blog_widget = $blog_widget ? $blog_widget : 'sidebar-1';

// Sidebar Position
if ($cascara_sidebar_position === 'sidebar-hide' || !is_active_sidebar($blog_widget)) {
	$layout_class = 'col-md-12';
	$cascara_sidebar_class = 'cscra-hide-sidebar';
} elseif ($cascara_sidebar_position === 'sidebar-left') {
	$layout_class = 'cscra-primary';
	$cascara_sidebar_class = 'left-sidebar';
} else {
	$layout_class = 'cscra-primary';
	$cascara_sidebar_class = 'right-sidebar';
}
// Promotion Image
$image_url = wp_get_attachment_url( $promotion_image_top );
$add_image = $image_url ? '<img src="'.$image_url.'" alt="'. esc_attr__( 'Advertisement', 'cascara' ) .'">' : '';
$add_image_link = $promotion_image_link ? '<a href="'.$promotion_image_link.'" target="_blank">'.$add_image.'</a>' : $add_image;

$image_url_bottom = wp_get_attachment_url( $promotion_image_bottom );
$add_image_bottom = $image_url_bottom ? '<img src="'.$image_url_bottom.'" alt="'. esc_attr__( 'Advertisement', 'cascara' ) .'">' : '';
$add_image_bottom_link = $promotion_image_link_bottom ? '<a href="'.$promotion_image_link_bottom.'" target="_blank">'.$add_image_bottom.'</a>' : $add_image_bottom;

?>
<div class="cscra-promotion promotion-spacer-four">
  <div class="container">
    <?php echo $add_image_link; ?>
  </div>
</div>
<div class="cscra-mid-wrap <?php echo esc_attr($cascara_content_padding .' '. $cascara_sidebar_class); ?>" style="<?php echo esc_attr($cascara_custom_padding); ?>">
  <div class="container">
    <div class="row">
			<?php
			if ($cascara_sidebar_position === 'sidebar-left' && $cascara_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
			}
			?>
			<div class="cscra-content-side <?php echo esc_attr($layout_class); ?>">
				<div class="blog-items-wrap load-posts cscra-post-load-more" data-select=".blog-items-wrap" data-item=".cscra-blog-post" data-space="20" data-paging="<?php echo esc_attr($cascara_pagi_style); ?>" data-button="<?php echo esc_attr($blog_load_btn_type); ?>" data-loading="<?php echo esc_attr($cascara_load_more); ?>" data-iconn="<?php echo esc_attr($cascara_loader_icon); ?>">
					<?php
					if ( have_posts() ) :
						get_template_part( 'layouts/post/content' );
					else :
						get_template_part( 'layouts/post/content', 'none' );
					endif;
					cascara_paging_nav();
				  wp_reset_postdata();  // avoid errors further down the page ?>
				</div><!-- Blog Div -->
			</div>
			<?php
			if ($cascara_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
			}
			?>
		</div>
		<div class="cscra-promotion promotion-spacer-five">
		  <?php echo $add_image_bottom_link; ?>
 		</div>
	</div>
</div>

<?php }
get_footer();
