<?php
/*
 * The template for displaying the footer.
 * Author & Copyright: VictorThemes
 * URL: http://themeforest.net/user/VictorThemes
 */

$cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox', true );

if ($cascara_meta) {
  $cascara_hide_footer  = $cascara_meta['hide_footer'];
  $cascara_hide_copyright  = $cascara_meta['hide_copyright'];
  $copy_style = $cascara_meta['copyright_style'];
} else {
  $cascara_hide_footer = '';
  $cascara_hide_copyright  = '';
  $copy_style = '';
}
if (!$cascara_hide_footer) { // Hide Footer Metabox
$cascara_secondary_text = cs_get_option('secondary_text');
$cascara_copyright_text = cs_get_option('copyright_text');
?>
</div>
</div> <!-- Cascara Main Wrap Inner -->

<!-- Footer -->
<?php if (is_active_sidebar('footer-1') || is_active_sidebar('footer-2') || is_active_sidebar('footer-3') || is_active_sidebar('footer-4') || $cascara_secondary_text || $cascara_copyright_text) { ?>
<footer class="cscra-footer">
  <div class="container">
    <div class="row">
      <?php
      $footer_widget_block = cs_get_option('footer_widget_block');
      // Footer Widget Block
      if (isset($footer_widget_block)) {
        get_template_part( 'layouts/footer/footer', 'widgets' );
      }
      if($copy_style != 'style-two'){
        $need_copyright = cs_get_option('need_copyright');
        if (isset($need_copyright)) {
          if(!$cascara_hide_copyright) {
            // Copyright Block
            get_template_part( 'layouts/footer/footer', 'copyright' );
          }
        }
      } ?>
    </div>
  </div>
  <?php
    if($copy_style === 'style-two'){
      $need_copyright = cs_get_option('need_copyright');
      if (isset($need_copyright)) {
        if(!$cascara_hide_copyright) {
          // Copyright Block
          get_template_part( 'layouts/footer/footer', 'copyright' );
        }
      }
    } ?>
</footer>
<!-- Footer -->
<?php } else { ?>
<footer class="cscra-footer footer-alt">
  <div class="container">
    <div class="cscra-copyright"><?php esc_html_e('Copyright', 'cascara') ?> &copy; <?php echo date('Y'); ?> <a href="https://victorthemes.com/" target="_blank"><?php esc_html_e('VictorThemes.', 'cascara') ?></a> <?php esc_html_e('All Rights Reserved.', 'cascara') ?></div>
  </div>
</footer>
<?php } } // Hide Footer Metabox ?>

</div><!-- Cascara Main Wrap -->

<!-- Cascara Back Top -->
<?php $theme_btotop = cs_get_option('theme_btotop');
if(!$theme_btotop) {} else { ?>
<div class="cscra-back-top">
  <a href="javascript:void(0);"><i class="fa fa-angle-up" aria-hidden="true"></i></a>
</div>
<!-- Cascara Preloader -->
<?php } $theme_preloader = cs_get_option('theme_preloader');
if($theme_preloader){ ?>
<div class="cscra-preloader">
  <div class="loader-wrap">
    <div class="loader">
      <div class="loader-inner square-spin"></div>
    </div>
  </div>
</div>

<?php } wp_footer(); ?>

</body>
</html>
<?php
