<?php
if (!function_exists('cascara_cat_ajax_scripts')) {
  function cascara_cat_ajax_scripts() {
    wp_enqueue_script( 'cascara-more-cat-post', CASCARA_SCRIPTS . '/load-more-tab.js', array( 'jquery' ), CASCARA_VERSION, false );
    $cascara_admin_url = array(
      'ajaxurl' => admin_url('admin-ajax.php')
    );
    wp_localize_script( 'cascara-more-cat-post', 'cascara_admin_url', $cascara_admin_url );
  }
  add_action('wp_enqueue_scripts', 'cascara_cat_ajax_scripts');
}

if (!function_exists('cascara_cat_ajax')) {
  function cascara_cat_ajax(){

    $cat     = (isset($_POST['cat'])) ? $_POST['cat'] : '';
    $cat_ids = (isset($_POST['cat_ids'])) ? $_POST['cat_ids'] : '';
    $key     = (isset($_POST['key'])) ? $_POST['key'] : '';
    $orderby = (isset($_POST['orderby'])) ? $_POST['orderby'] : '';
    $order   = (isset($_POST['order'])) ? $_POST['order'] : '';

    $args = array(
      'post_type'       => 'post',
      'posts_per_page'  => 5,
      'category_name'   => $cat,
      'post_status'     => 'publish',
      'orderby'         => $orderby,
      'order'           => $order,
    );

    if( !empty( $cat_ids ) ){
      $integerIDs = array_map('intval', explode( ',', $cat_ids ));
      $args['post__in'] = $integerIDs;
    }

    // Image Link
    $image_link_wrap = cs_get_option('image_link_wrap');
    // Lazy Load
    $theme_lazyload = cs_get_option('theme_lazyload');

    $cat_query = new WP_Query($args);

    $cat_slug = get_term_by( 'slug', $cat, 'category' );
    $order_first = ($key % 2 == 0) ? 'even' : 'odd';

    if ($cat_query->have_posts()): ?>
      <div class="post-items-wrap items-spacer-four">
        <div class="cscra-masonry">
            <?php $counter = 1;
              while ($cat_query->have_posts()) : $cat_query->the_post();
              $cascara_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
              $cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
              $cascara_large_image = $cascara_large_image[0];

              if(class_exists('Aq_Resize')) {
                $image_large = aq_resize( $cascara_large_image, '815', '415', true );
              } else {$image_large = $cascara_large_image;}
              $large_img = ( $image_large ) ? $image_large : $cascara_large_image;
              $place_img_actual = CASCARA_IMAGES .'/815x415.jpg';
              // Category
              global $post;
              $terms = get_the_category();
              foreach ($terms as $term) {
                $cat_class = ' '.$term->slug.'-item';
              }
              $count = count($terms);
              $i=0;
              $cat_class = '';
              if ($count > 0) {
                foreach ($terms as $term) {
                  $i++;
                  $cat_class .= ' '.$term->slug.'-item';
                  if ($count != $i) {
                    $cat_class .= '';
                  } else {
                    $cat_class .= '';
                  }
                }
              }

          if ($counter == 1) { ?>
            <div class="masonry-item full-width <?php echo esc_attr($cat_class); ?>" data-category="<?php echo esc_attr($cat_class); ?>">
              <div class="post-item">
                <?php if ( get_post_format() === 'gallery' ) {
                  if ($cascara_large_image) { ?>
                    <!-- Standard -->
                    <div class="cscra-image">
                    <?php if($image_link_wrap) { ?>
                      <a href="<?php echo esc_url(get_the_permalink()); ?>">
                    <?php }
                    if(!$theme_lazyload) { ?>
                      <img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
                    <?php } else { ?>
                      <img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo esc_url($place_img_actual);?>" alt="<?php echo get_the_title(); ?>">
                    <?php } if($image_link_wrap) { ?>
                      </a>
                    <?php }
                    cascara_post_cat();  ?>
                    </div>
                  <?php }
                 ?>
              <?php } elseif ( get_post_format() === 'video' ) {
                if($cascara_post_type){
                  $video_post = $cascara_post_type['video_post'];
                } else {
                  $video_post = '';
                }
                if ($cascara_large_image) { ?>
                  <!-- Video -->
                  <div class="cscra-image">
                  <?php if($image_link_wrap) { ?>
                    <a href="<?php echo esc_url(get_the_permalink()); ?>">
                  <?php }
                  if(!$theme_lazyload) { ?>
                    <img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
                  <?php } else { ?>
                    <img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo esc_url($place_img_actual);?>" alt="<?php echo get_the_title(); ?>">
                  <?php } if($image_link_wrap) { ?>
                    </a>
                  <?php }
                  cascara_post_cat();
                    if ( ! empty( $cascara_post_type['video_post'] ) ) { ?>
                    <a href="<?php echo esc_url($video_post); ?>" class="play-icon cscra-popup-video"></a>
                    <?php } ?>
                  </div>
                <?php } } else {
                if ($cascara_large_image) { ?>
                  <!-- Standard -->
                  <div class="cscra-image">
                  <?php if($image_link_wrap) { ?>
                    <a href="<?php echo esc_url(get_the_permalink()); ?>">
                  <?php }
                  if(!$theme_lazyload) { ?>
                    <img src="<?php echo esc_url($large_img); ?>" alt="<?php echo get_the_title(); ?>">
                  <?php } else { ?>
                    <img data-src="<?php echo esc_url($large_img); ?>" src="<?php echo esc_url($place_img_actual);?>" alt="<?php echo get_the_title(); ?>">
                  <?php } if($image_link_wrap) { ?>
                    </a>
                  <?php }
                  cascara_post_cat();  ?>
                  </div>
                <?php } } ?>
                <div class="post-info">
                  <div class="post-meta">
                    <ul>
                    <?php
                      if ( function_exists( 'cascara_post_views_two' ) ) {
                        cascara_post_views_two(get_the_ID());
                      } ?>
                      <li><i class="fa fa-user-o" aria-hidden="true"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"> <?php echo esc_html(get_the_author()); ?></a></li>
                      <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
                      <?php if (get_comments_number()!=0) { ?>
                      <li><?php echo '<i class="fa fa-commenting-o"></i>';
                        comments_popup_link( '0', '1', '%', '', '' );  ?></li>
                     <?php } ?>
                    </ul>
                  </div>
                  <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
                  <p>
                    <?php
                      $blog_excerpt = cs_get_option('theme_blog_excerpt');
                      if ($blog_excerpt) {
                        $blog_excerpt = $blog_excerpt;
                      } else {
                        $blog_excerpt = '24';
                      }
                      cascara_excerpt($blog_excerpt);
                      echo cascara_wp_link_pages();
                    ?>
                  </p>
                </div>
              </div>
            </div>
          <?php }
          $counter++;
          endwhile; ?>
        </div>
      </div>

      <div class="post-items-wrap items-spacer-five items-style-four">
        <div class="cscra-masonry">
          <?php
          $counter=1;
          while ($cat_query->have_posts()) : $cat_query->the_post();
            global $post;
            $terms = get_the_category();
            foreach ($terms as $term) {
              $cat_class = ' '.$term->slug.'-item';
            }
            $count = count($terms);
            $i=0;
            $cat_class = '';
            if ($count > 0) {
              foreach ($terms as $term) {
                $i++;
                $cat_class .= ' '.$term->slug.'-item';
                if ($count != $i) {
                  $cat_class .= '';
                } else {
                  $cat_class .= '';
                }
              }
            }
            if ($counter != 1) { ?>
            <div class="masonry-item one-half <?php echo esc_attr($cat_class); ?>" data-category="<?php echo esc_attr($cat_class); ?>">
              <div class="post-item">
                <div class="cscra-image">
                  <?php
                    $cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
                    $cascara_large_image = $cascara_large_image[0];

                    if(class_exists('Aq_Resize')) {
                      $gallery_thumb = aq_resize( $cascara_large_image, '130', '120', true );
                    } else {$gallery_thumb = $cascara_large_image;}
                    $gallery_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_large_image;
                    $place_img_actual = CASCARA_IMAGES .'/130x120.jpg';
                    $cascara_alt = get_post_meta($cascara_large_image, '_wp_attachment_image_alt', true);
                    if($image_link_wrap) {
                      echo '<a href="'.esc_url(get_the_permalink()).'">';
                    }
                    if(!$theme_lazyload) {
                      echo '<img src="'. esc_url($gallery_img) .'" alt="'. esc_attr($cascara_alt) .'">';
                    } else {
                      echo '<img data-src="'. esc_url($gallery_img) .'" src="'.$place_img_actual.'" alt="'. esc_attr($cascara_alt) .'">';
                    }
                    if($image_link_wrap) {
                      echo '</a>';
                    }
                    if ( function_exists( 'cascara_post_views' ) ) {
                      cascara_post_views(get_the_ID());
                    }
                   ?>
                </div>
                <div class="post-info cscra-item">
                  <div class="cscra-table-wrap">
                    <div class="cscra-align-wrap">
                      <div class="post-meta">
                        <ul>
                        <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
                        <?php if (get_comments_number()!=0) { ?>
                        <li><?php echo '<i class="fa fa-commenting-o"></i>';
                          comments_popup_link( '0', '1', '%', '', '' );?></li>
                        <?php } ?>
                      </ul>
                      </div>
                      <h4 class="post-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h4>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          <?php }
          $counter++;
          endwhile;
          wp_reset_postdata(); ?>
        </div>
      </div>
    <?php endif;
    wp_die();
  }
}
add_action('wp_ajax_nopriv_cascara_cat_ajax', 'cascara_cat_ajax');
add_action('wp_ajax_cascara_cat_ajax', 'cascara_cat_ajax');
