<?php
/*
 * Codestar Framework - Custom Style
 * Author & Copyright: VictorThemes
 * URL: http://themeforest.net/user/VictorThemes
 */

/* All Dynamic CSS Styles */
if ( ! function_exists( 'cascara_dynamic_styles' ) ) {
  function cascara_dynamic_styles() {

    // Typography
    $cascara_vt_get_typography  = cascara_vt_get_typography();

    $all_element_color  = cs_get_customize_option( 'all_element_colors' );

    // Logo
    $brand_logo_top     = cs_get_option( 'brand_logo_top' );
    $brand_logo_bottom  = cs_get_option( 'brand_logo_bottom' );

    // Footer
    $footer_bg_color  = cs_get_customize_option( 'footer_bg_color' );
    $footer_heading_color  = cs_get_customize_option( 'footer_heading_color' );
    $footer_text_color  = cs_get_customize_option( 'footer_text_color' );
    $footer_link_color  = cs_get_customize_option( 'footer_link_color' );
    $footer_link_hover_color  = cs_get_customize_option( 'footer_link_hover_color' );

  ob_start();

global $post;
$cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox', true );

/* Primary Colors */
if ($all_element_color) {
echo <<<CSS
  .no-class {}
  input[type="submit"], button[type="submit"],
  .cscra-btn, .widget_search form input[type="submit"]:hover,
  .cscra-back-top a:hover,
  .cscra-blog-tags ul li a:hover, .tagcloud a:hover {background-color: {$all_element_color};}

  .post-item.cscra-hover .post-category a,
  .cscra-post-detail .post-category a:hover,
  .cscra-blog-controls a:hover .post-control i,
  .cscra-pagination ul li .current,
  .cscra-pagination .current.page-numbers.current,
  .wp-link-pages > span {background: {$all_element_color};}

  a:hover, a:focus,
  .cscra-topbar ul li a:hover,
  .cscra-navigation > ul > li:hover > a,
  .dropdown-nav > li:hover > a,
  .post-meta ul li a:hover,
  .cscra-primary-posts .post-item a:hover,
  .posts-title .view-all:hover, .cscra-widget ul li a:hover,
  .items-style-five .post-info a:hover, .cscra-social.square a:hover,
  .cscra-social.rounded a:hover, .footer-widget .post-title a:hover,
  .tweet-item .tweet-info a:hover, .masonry-filters ul li a:hover,
  .masonry-filters ul li a.active, .cscra-copyright a:hover,
  .comment-reply-link:hover, .comments-reply:hover i,
  .cscra-fullscreen-navigation .cscra-navigation ul > li:hover > a,
  .cscra-blog-controls a:hover .post-control, #cancel-comment-reply-link:hover,
  .tp_recent_tweets li a:hover,.dropdown-nav > li.current-menu-item > a,
  .cscra-navigation li.current-menu-ancestor > a,
  .footer-widget.widget_calendar table td a:hover, .footer-widget.cscra-widget.widget_rss a:hover,
  .mean-container .mean-nav ul li a:hover, .mean-container .mean-nav ul li a:focus {color: {$all_element_color};}

  .tag-links a:hover, .cscra-social.rounded a:hover, .cscra-blog-tags a:hover, .cscra-social.square a:hover, .cscra-social.rounded a:hover {border-color: {$all_element_color};}

CSS;
}

/* Top Bar - Customizer - Background */
if ($cascara_meta) {
  $topbar_bg_color  = $cascara_meta['topbar_bg'];
} else {
  $topbar_bg_color  = cs_get_customize_option( 'topbar_bg_color' );
}
$topbar_bg_color = $topbar_bg_color ? $topbar_bg_color : cs_get_customize_option( 'topbar_bg_color' );

if ($topbar_bg_color) {
echo <<<CSS
  .no-class {}
  .cscra-topbar {
    background: {$topbar_bg_color};
  }
CSS;
}
if ($cascara_meta) {
  $topbar_border_color  = $cascara_meta['topbar_border'];
} else {
  $topbar_border_color  = cs_get_customize_option( 'topbar_border_color' );
}
$topbar_border_color = ( $topbar_border_color ) ? $cascara_meta['topbar_border'] : cs_get_customize_option( 'topbar_border_color' );
if ($topbar_border_color) {
echo <<<CSS
  .no-class {}
  .cscra-topbar {
    border-color: {$topbar_border_color};
  }
CSS;
}
$topbar_text_color  = cs_get_customize_option( 'topbar_text_color' );
if ($topbar_text_color) {
echo <<<CSS
  .no-class {}
  .cscra-topbar, .cscra-topbar p {
    color: {$topbar_text_color};
  }
CSS;
}
$topbar_link_color  = cs_get_customize_option( 'topbar_link_color' );
if ($topbar_link_color) {
echo <<<CSS
  .no-class {}
  .cscra-topbar ul li a {
    color: {$topbar_link_color};
  }
CSS;
}
$topbar_link_hover_color  = cs_get_customize_option( 'topbar_link_hover_color' );
if ($topbar_link_hover_color) {
echo <<<CSS
  .no-class {}
  .cscra-topbar ul li a:hover,
  .cscra-topbar ul li a:focus {
    color: {$topbar_link_hover_color};
  }
CSS;
}
$topbar_social_color  = cs_get_customize_option( 'topbar_social_color' );
if ($topbar_social_color) {
echo <<<CSS
  .no-class {}
  .cscra-topbar ul li.cscra-social a {
    color: {$topbar_social_color};
  }
CSS;
}
$topbar_social_hover_color  = cs_get_customize_option( 'topbar_social_hover_color' );
if ($topbar_social_hover_color) {
echo <<<CSS
  .no-class {}
  .cscra-topbar ul li.cscra-social a:hover,
  .cscra-topbar ul li.cscra-social a:focus {
    color: {$topbar_social_hover_color};
  }
CSS;
}

/* Header - Customizer */
$header_bg_color  = cs_get_customize_option( 'header_bg_color' );
if ($header_bg_color) {
echo <<<CSS
  .no-class {}
  .cscra-header {
    background-color: {$header_bg_color};
  }
CSS;
}
$header_text_color = cs_get_customize_option('header_text_color');
$header_link_color  = cs_get_customize_option( 'header_link_color' );
$header_link_hover_color  = cs_get_customize_option( 'header_link_hover_color' );
if($header_text_color) {
echo <<<CSS
 .cscra-header {
  color: {$header_text_color};
 }
CSS;
}
if($header_link_color || $header_link_hover_color) {
echo <<<CSS
  .no-class {}
  .cscra-header a,
  .cscra-navigation > ul > li > a {
    color: {$header_link_color};
  }
  .mean-container a.meanmenu-reveal span {
    background-color: {$header_link_color};
  }
  .cscra-navigation > ul > li > a:hover,
  .cscra-navigation > ul > li > a:focus,
  .cscra-header a:hover,
  .cscra-header a:focus,
  .cscra-navigation li.current-menu-ancestor > a,
  .cscra-navigation li.current-menu-ancestor:hover > a,
  .cscra-navigation li.current-menu-ancestor:focus > a {
    color: {$header_link_hover_color};
  }
CSS;
}

$submenu_bg_color  = cs_get_customize_option( 'submenu_bg_color' );
$submenu_border_color  = cs_get_customize_option( 'submenu_border_color' );
$submenu_link_color  = cs_get_customize_option( 'submenu_link_color' );
$submenu_link_hover_color  = cs_get_customize_option( 'submenu_link_hover_color' );
if ($submenu_bg_color || $submenu_border_color || $submenu_link_color || $submenu_link_hover_color) {
echo <<<CSS
  .no-class {}
  .dropdown-nav > li > a {
    color: {$submenu_link_color};
  }
  .dropdown-nav > li {
    border-color: {$submenu_border_color};
  }
  .dropdown-nav > li > a:hover,
  .dropdown-nav > li > a:focus,
  .dropdown-nav > .active > a,
  .dropdown-nav > .active > a:hover,
  .dropdown-nav > .active > a:focus,
  .mean-container .mean-nav ul.sub-menu > li:hover,
  .mean-container .mean-nav ul.sub-menu > li.current-menu-item,
  .mean-container .mean-nav ul.sub-menu > li a:hover,
  .dropdown-nav > li.current-menu-item > a {
    color: {$submenu_link_hover_color};
  }
  .dropdown-nav {
    background-color: {$submenu_bg_color};
  }
  .mean-container .mean-nav ul.sub-menu li a {
    color: {$submenu_link_color};
  }
  .mean-container .mean-nav ul li li a,
  .mean-container .mean-nav ul li li li a,
  .mean-container .mean-nav ul li li li li a,
  .mean-container .mean-nav ul li li li li li a {
    border-top-color: {$submenu_border_color};
  }
CSS;
}

/* Title Area - Theme Options - Background */
$titlebar_bg = cs_get_option('titlebar_bg');
$title_heading_color  = cs_get_customize_option( 'titlebar_title_color' );
if ($titlebar_bg) {

  $title_area = ( ! empty( $titlebar_bg['image'] ) ) ? 'background-image: url('. $titlebar_bg['image'] .');' : '';
  $title_area .= ( ! empty( $titlebar_bg['repeat'] ) ) ? 'background-repeat: '. $titlebar_bg['repeat'] .';' : '';
  $title_area .= ( ! empty( $titlebar_bg['position'] ) ) ? 'background-position: '. $titlebar_bg['position'] .';' : '';
  $title_area .= ( ! empty( $titlebar_bg['attachment'] ) ) ? 'background-attachment: '. $titlebar_bg['attachment'] .';' : '';
  $title_area .= ( ! empty( $titlebar_bg['size'] ) ) ? 'background-size: '. $titlebar_bg['size'] .';' : '';
  $title_area .= ( ! empty( $titlebar_bg['color'] ) ) ? 'background-color: '. $titlebar_bg['color'] .';' : '';

echo <<<CSS
  .no-class {}
  .cscra-title-area {
    {$title_area}
  }
CSS;
}
if ($title_heading_color) {
echo <<<CSS
  .no-class {}
  .cscra-title-area .page-title,
  .cscra-page-title h1 {
    color: {$title_heading_color};
  }
CSS;
}

/* Footer */
if ($footer_bg_color) {
echo <<<CSS
  .no-class {}
  .cscra-footer {background: {$footer_bg_color};}
CSS;
}
if ($footer_heading_color) {
echo <<<CSS
  .no-class {}
  .footer-widget h4.footer-widget-title {color: {$footer_heading_color};}
CSS;
}
if ($footer_text_color) {
echo <<<CSS
  .no-class {}
  .footer-widget p, .footer-widget .post-meta ul li, .footer-widget,
  .footer-widget ul, .footer-widget table td,
  .footer-widget.widget_calendar caption {color: {$footer_text_color};}
CSS;
}
if ($footer_link_color) {
echo <<<CSS
  .no-class {}
  .footer-widget a, .footer-widget ul li a,
  .footer-widget .post-title a,
  .footer-widget .tweet-date, .footer-widget .tp_recent_tweets .twitter_time {color: {$footer_link_color};}
CSS;
}
if ($footer_link_hover_color) {
echo <<<CSS
  .no-class {}
  .footer-widget a:hover, .footer-widget a:focus,
  .footer-widget ul li a:hover, .footer-widget ul li a:focus,
  .footer-widget .post-title a:hover, .footer-widget .post-title a:focus,
  .footer-widget .tweet-date:hover, .footer-widget .tweet-date:focus,
  .footer-widget .tp_recent_tweets .twitter_time:hover, .footer-widget .tp_recent_tweets .twitter_time:focus {color: {$footer_link_hover_color};}
CSS;
}

/* Copyright */
$copyright_text_color  = cs_get_customize_option( 'copyright_text_color' );
$copyright_link_color  = cs_get_customize_option( 'copyright_link_color' );
$copyright_link_hover_color  = cs_get_customize_option( 'copyright_link_hover_color' );
$copyright_bg_color  = cs_get_customize_option( 'copyright_bg_color' );
$copyright_border_color  = cs_get_customize_option( 'copyright_border_color' );
if ($copyright_bg_color || $copyright_border_color) {
echo <<<CSS
  .no-class {}
  .cscra-copyright.copy-style-two {background: {$copyright_bg_color};}
  .cscra-copyright.copyright-style-one {border-color: {$copyright_border_color};}
CSS;
}
if ($copyright_text_color) {
echo <<<CSS
  .no-class {}
  .cscra-copyright,
  .cscra-copyright p {color: {$copyright_text_color};}
CSS;
}
if ($copyright_link_color) {
echo <<<CSS
  .no-class {}
  .cscra-copyright a {color: {$copyright_link_color};}
CSS;
}
if ($copyright_link_hover_color) {
echo <<<CSS
  .no-class {}
  .cscra-copyright a:hover {color: {$copyright_link_hover_color};}
CSS;
}

// Content Colors
$body_color  = cs_get_customize_option( 'body_color' );
if ($body_color) {
echo <<<CSS
  .no-class {}
  body, .post-item p, .post-meta ul, .post-detail-wrap p, .bullet-list,
  .post-share .share-link, .cscra-author-info p, .cscra-comment-form textarea {color: {$body_color};}
CSS;
}
$body_links_color  = cs_get_customize_option( 'body_links_color' );
if ($body_links_color) {
echo <<<CSS
  .no-class {}
  body a, .post-meta ul li a,
  .posts-title .view-all, .post-control, .post-control i, .masonry-filters ul li a {color: {$body_links_color};}

  .post-control i {color: {$body_links_color}; border-color: {$body_links_color};}
CSS;
}
$body_link_hover_color  = cs_get_customize_option( 'body_link_hover_color' );
if ($body_link_hover_color) {
echo <<<CSS
  .no-class {}
  body a:hover, .post-meta ul li a:hover,
  .posts-title .view-all:hover,
  .posts-title .view-all:focus, .masonry-filters ul li a:hover,
  .masonry-filters ul li a:focus, .masonry-filters ul li a.active {color: {$body_link_hover_color};}

  .cscra-blog-controls a:hover .post-control {color: {$body_link_hover_color}; border-color: {$body_link_hover_color};}
  .cscra-blog-controls a:hover .post-control i {background-color: {$body_link_hover_color};}
CSS;
}
$sidebar_content_color  = cs_get_customize_option( 'sidebar_content_color' );
if ($sidebar_content_color) {
echo <<<CSS
  .no-class {}
  .cscra-secondary .cscra-widget p, .cscra-secondary .cscra-widget,
  .cscra-secondary .widget_rss .rssSummary,
  .cscra-secondary .widget_categories ul li,
  .cscra-secondary .advertisement-title,
  .cscra-secondary input[type="text"],
  .cscra-secondary input[type="email"],
  .cscra-secondary .cscra-widget ul, .cscra-secondary table td,
  .cscra-secondary .widget_calendar caption,
  .wpb_widgetised_column .cscra-widget p, .wpb_widgetised_column .cscra-widget,
  .wpb_widgetised_column .widget_rss .rssSummary,
  .wpb_widgetised_column .widget_categories ul li,
  .wpb_widgetised_column .advertisement-title,
  .wpb_widgetised_column input[type="text"],
  .wpb_widgetised_column input[type="email"],
  .wpb_widgetised_column .cscra-widget ul, .wpb_widgetised_column table td,
  .wpb_widgetised_column .widget_calendar caption {color: {$sidebar_content_color};}
CSS;
}

$sidebar_links_color  = cs_get_customize_option( 'sidebar_links_color' );
if ($sidebar_links_color) {
echo <<<CSS
  .no-class {}
  .cscra-secondary .cscra-widget a,
  .cscra-secondary .widget_list_style ul a,
  .cscra-secondary .widget_categories ul li a,
  .cscra-secondary .widget_archive ul a,
  .cscra-secondary .widget_recent_comments ul a,
  .cscra-secondary .widget_recent_entries ul a,
  .cscra-secondary .widget_meta ul a,
  .cscra-secondary .widget_pages ul a,
  .cscra-secondary .widget_rss ul a,
  .cscra-secondary .widget_nav_menu ul a,
  .cscra-secondary .widget_layered_nav ul a,
  .cscra-secondary .widget_product_categories ul a,
  .cscra-secondary .cscra-widget ul li a,
  .wpb_widgetised_column .cscra-widget ul li a,
  .wpb_widgetised_column .cscra-widget a,
  .wpb_widgetised_column .widget_list_style ul a,
  .wpb_widgetised_column .widget_categories ul li a,
  .wpb_widgetised_column .widget_archive ul a,
  .wpb_widgetised_column .widget_recent_comments ul a,
  .wpb_widgetised_column .widget_recent_entries ul a,
  .wpb_widgetised_column .widget_meta ul a,
  .wpb_widgetised_column .widget_pages ul a,
  .wpb_widgetised_column .widget_rss ul a,
  .wpb_widgetised_column .widget_nav_menu ul a,
  .wpb_widgetised_column .widget_layered_nav ul a,
  .wpb_widgetised_column .widget_product_categories ul a,
  .wpb_widgetised_column .cscra-widget ul li a {color: {$sidebar_links_color};}
CSS;
}

$sidebar_links_hover_color  = cs_get_customize_option( 'sidebar_links_hover_color' );
if ($sidebar_links_hover_color) {
echo <<<CSS
  .no-class {}
  .cscra-secondary .cscra-widget a:hover,
  .cscra-secondary .cscra-widget a:focus,
  .cscra-secondary .widget_list_style ul a:hover,
  .cscra-secondary .widget_categories ul a:hover,
  .cscra-secondary .widget_archive ul a:hover,
  .cscra-secondary .widget_recent_comments ul a:hover,
  .cscra-secondary .widget_recent_entries ul a:hover,
  .cscra-secondary .widget_meta ul a:hover,
  .cscra-secondary .widget_pages ul a:hover,
  .cscra-secondary .widget_rss ul a:hover,
  .cscra-secondary .widget_nav_menu ul a:hover,
  .cscra-secondary .widget_layered_nav ul a:hover,
  .cscra-secondary .widget_product_categories ul a:hover,
  .wpb_widgetised_column .cscra-widget ul li a:hover,
  .wpb_widgetised_column .cscra-widget a:hover,
  .wpb_widgetised_column .cscra-widget a:focus,
  .wpb_widgetised_column .widget_list_style ul a:hover,
  .wpb_widgetised_column .widget_categories ul a:hover,
  .wpb_widgetised_column .widget_archive ul a:hover,
  .wpb_widgetised_column .widget_recent_comments ul a:hover,
  .wpb_widgetised_column .widget_recent_entries ul a:hover,
  .wpb_widgetised_column .widget_meta ul a:hover,
  .wpb_widgetised_column .widget_pages ul a:hover,
  .wpb_widgetised_column .widget_rss ul a:hover,
  .wpb_widgetised_column .widget_nav_menu ul a:hover,
  .wpb_widgetised_column .widget_layered_nav ul a:hover,
  .wpb_widgetised_column .widget_product_categories ul a:hover {color: {$sidebar_links_hover_color};}
CSS;
}

// Headings Color
$content_heading_color  = cs_get_customize_option( 'content_heading_color' );
if ($content_heading_color) {
echo <<<CSS
  .no-class {}
  .cscra-primary h1, .cscra-primary h2, .cscra-primary h3, .cscra-primary h4, .cscra-primary h5, .cscra-primary h6,
  .blog-items-wrap .posts-title, .blog-items-wrap .posts-title span,
  .blog-items-wrap .posts-title-wrap .posts-title, .nwshb-title-text {color: {$content_heading_color};}
CSS;
}
$sidebar_heading_color  = cs_get_customize_option( 'sidebar_heading_color' );
if ($sidebar_heading_color) {
echo <<<CSS
  .no-class {}
  .cscra-secondary h1, .cscra-secondary h2, .cscra-secondary h3, .cscra-secondary h4, .cscra-secondary h5, .cscra-secondary h6,
  .cscra-secondary.posts-title, .cscra-secondary .posts-title span,
  .wpb_widgetised_column .posts-title span {color: {$sidebar_heading_color};}
CSS;
}

// Maintenance Mode
$maintenance_mode_bg  = cs_get_option( 'maintenance_mode_bg' );
if ($maintenance_mode_bg) {
  $maintenance_css = ( ! empty( $maintenance_mode_bg['image'] ) ) ? 'background-image: url('. $maintenance_mode_bg['image'] .');' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['repeat'] ) ) ? 'background-repeat: '. $maintenance_mode_bg['repeat'] .';' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['position'] ) ) ? 'background-position: '. $maintenance_mode_bg['position'] .';' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['attachment'] ) ) ? 'background-attachment: '. $maintenance_mode_bg['attachment'] .';' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['size'] ) ) ? 'background-size: '. $maintenance_mode_bg['size'] .';' : '';
  $maintenance_css .= ( ! empty( $maintenance_mode_bg['color'] ) ) ? 'background-color: '. $maintenance_mode_bg['color'] .';' : '';
echo <<<CSS
  .no-class {}
  .vt-maintenance-mode {
    {$maintenance_css}
  }
CSS;
}

// Mobile Menu Breakpoint
$mobile_breakpoint = cs_get_option('mobile_breakpoint');
$breakpoint = $mobile_breakpoint ? $mobile_breakpoint : '991';

echo <<<CSS
  .no-class {}
@media (max-width: {$breakpoint}px) {
  /* Search Popup */
  .search-container-wrap {
    padding-left: 0;
    padding-right: 0;
  }
  .cscra-brand.hav-mobile-logo a .mobile-logo {
    display: block;
  }
  .cscra-navigation {
    display: none !important;
  }
  .cscra-brand.hav-mobile-logo a .text-logo {
    display: none;
  }
  .cscra-brand.hav-mobile-logo a .normal-logo.default-logo,
  .cscra-brand.hav-mobile-logo a .normal-logo.retina-logo {
    display: none;
  }
  .mean-container .container {width: 100%;}
  .cscra-header-two .mean-container .cscra-logo {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 99999;
    padding: 0 20px;
  }
  .cscra-header-two .mean-container .cscra-navigation {
    position: absolute;
    right: 73px;
    top: 0;
    z-index: 9999;
  }
  .mean-container .cscra-nav-search {
    float: left;
    left: 0;right: auto;
    background-color: rgba(0,0,0,0.4);
  }
  .mean-container .cscra-search-three {
    position: absolute;
    width: 100%;
    left: 0;top: 0;
    z-index: 9999;
  }
  .mean-container .cscra-search-three input {
    position: absolute;
    left: 0;top: 0;
    background: rgba(0,0,0,0.4);
  }
  .cscra-header-two .mean-container .top-nav-icons {
    position: absolute;
    left: 0;
    z-index: 999999;
  }
  .cscra-header-two .cscra-brand {padding-top: 20px;padding-bottom: 0;}
}
CSS;

  echo $cascara_vt_get_typography;

  $output = ob_get_clean();
  return $output;

  }

}

/**
 * Custom Font Family
 */
if ( ! function_exists( 'cascara_custom_font_load' ) ) {
  function cascara_custom_font_load() {

    $font_family       = cs_get_option( 'font_family' );

    ob_start();

    if( ! empty( $font_family ) ) {

      foreach ( $font_family as $font ) {
        echo '@font-face{';

        echo 'font-family: "'. $font['name'] .'";';

        if( empty( $font['css'] ) ) {
          echo 'font-style: normal;';
          echo 'font-weight: normal;';
        } else {
          echo $font['css'];
        }

        echo ( ! empty( $font['ttf']  ) ) ? 'src: url('. esc_url($font['ttf']) .');' : '';
        echo ( ! empty( $font['eot']  ) ) ? 'src: url('. esc_url($font['eot']) .');' : '';
        echo ( ! empty( $font['woff'] ) ) ? 'src: url('. esc_url($font['woff']) .');' : '';
        echo ( ! empty( $font['otf']  ) ) ? 'src: url('. esc_url($font['otf']) .');' : '';

        echo '}';
      }

    }

    // Typography
    $output = ob_get_clean();
    return $output;
  }
}

/* Custom Styles */
if( ! function_exists( 'cascara_vt_custom_css' ) ) {
  function cascara_vt_custom_css() {
    wp_enqueue_style('cascara-default-style', get_template_directory_uri() . '/style.css');
    $output  = cascara_custom_font_load();
    $output .= cascara_dynamic_styles();
    $output .= cs_get_option( 'theme_custom_css' );
    $custom_css = cascara_compress_css_lines( $output );

    wp_add_inline_style( 'cascara-default-style', $custom_css );
  }
}

/* Custom JS */
if( ! function_exists( 'cascara_vt_custom_js' ) ) {
  function cascara_vt_custom_js() {
    if ( ! wp_script_is( 'jquery', 'done' ) ) {
      wp_enqueue_script( 'jquery' );
    }
    $output = cs_get_option( 'theme_custom_js' );
    wp_add_inline_script( 'jquery-migrate', $output );
  }
  add_action( 'wp_enqueue_scripts', 'cascara_vt_custom_js' );
}