<?php
// Metabox
$cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox', true );
if ($cascara_meta && is_page()) {
	$cascara_title_bar_padding = $cascara_meta['title_area_spacings'];
} else { $cascara_title_bar_padding = ''; }
// Padding - Theme Options
if ($cascara_title_bar_padding && $cascara_title_bar_padding !== 'padding-none') {
	$cascara_title_top_spacings = $cascara_meta['title_top_spacings'];
	$cascara_title_bottom_spacings = $cascara_meta['title_bottom_spacings'];
	if ($cascara_title_bar_padding === 'padding-custom') {
		$cascara_title_top_spacings = $cascara_title_top_spacings ? 'padding-top:'. cascara_check_px($cascara_title_top_spacings) .';' : '';
		$cascara_title_bottom_spacings = $cascara_title_bottom_spacings ? 'padding-bottom:'. cascara_check_px($cascara_title_bottom_spacings) .';' : '';
		$cascara_custom_padding = $cascara_title_top_spacings . $cascara_title_bottom_spacings;
	} else {
		$cascara_custom_padding = '';
	}
} else {
	$cascara_title_bar_padding = cs_get_option('title_bar_padding');
	$cascara_titlebar_top_padding = cs_get_option('titlebar_top_padding');
	$cascara_titlebar_bottom_padding = cs_get_option('titlebar_bottom_padding');
	if ($cascara_title_bar_padding === 'padding-custom') {
		$cascara_titlebar_top_padding = $cascara_titlebar_top_padding ? 'padding-top:'. cascara_check_px($cascara_titlebar_top_padding) .';' : '';
		$cascara_titlebar_bottom_padding = $cascara_titlebar_bottom_padding ? 'padding-bottom:'. cascara_check_px($cascara_titlebar_bottom_padding) .';' : '';
		$cascara_custom_padding = $cascara_titlebar_top_padding . $cascara_titlebar_bottom_padding;
	} else {
		$cascara_custom_padding = '';
	}
}

// Banner Type - Meta Box
if ($cascara_meta && is_page()) {
	$cascara_banner_type = $cascara_meta['banner_type'];
} else { $cascara_banner_type = ''; }

// Overlay Color - Theme Options
if ($cascara_meta && is_page()) {
	$cascara_bg_overlay_color = $cascara_meta['titlebar_bg_overlay_color'];
} else { $cascara_bg_overlay_color = ''; }
if ($cascara_bg_overlay_color) {
	if ($cascara_bg_overlay_color) {
		$cascara_overlay_color = 'background-color: '. $cascara_bg_overlay_color .';';
	} else {
		$cascara_overlay_color = '';
	}
} else {
	$cascara_bg_overlay_color = cs_get_option('titlebar_bg_overlay_color');
	if ($cascara_bg_overlay_color) {
		$cascara_overlay_color = 'background-color: '. $cascara_bg_overlay_color .';';
	} else {
		$cascara_overlay_color = '';
	}
}

$cascara_page_layout = get_post_meta( get_the_ID(), 'post_type_options', true );
if ($cascara_page_layout) {
	$page_bar = $cascara_page_layout['full_ban'];
} else {
	$page_bar = '';
}
if ($page_bar === true) {
	$bar_class = ' page-title-no-spacer';
} else {
	$bar_class = '';
}

if($cascara_banner_type === 'hide-title-area') { // Hide Title Area
} elseif($cascara_meta && $cascara_banner_type === 'revolution-slider') { // Hide Title Area
	echo do_shortcode($cascara_meta['page_revslider']);
} else { ?>
	<!-- Banner & Title Area -->
	<div class="cscra-page-title <?php echo esc_attr($cascara_title_bar_padding.$bar_class); ?>" style="<?php echo esc_attr($cascara_custom_padding . $cascara_overlay_color); ?>">
    <div class="container">
      <h1 class="page-title"><?php echo esc_html(cascara_title_area()); ?></h1>
    </div>
  </div>
<?php }
