<?php
/**
 * Single Post.
 */
$cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$cascara_large_image = $cascara_large_image[0];

$cascara_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$cascara_blog_style = cs_get_option('blog_listing_style');

// Single Theme Option
$cascara_single_featured_image = cs_get_option('single_featured_image');
$cascara_single_author_info = cs_get_option('single_author_info');
$cascara_single_share_option = cs_get_option('single_share_option');

$metas_hide = (array) cs_get_option( 'theme_metas_hide' );

$cascara_page_layout = get_post_meta( get_the_ID(), 'post_type_options', true );
if ($cascara_page_layout) {
	$lay_option = $cascara_page_layout['full_ban'];
} else {
	$lay_option = '';
}
?>

<div id="post-<?php the_ID(); ?>" <?php post_class('cscra-blog-post'); ?>>
  <div class="cscra-unit-fix">
		<div class="post-info">
			<?php if ($lay_option === true) {
				cascara_post_cat();
	    } ?>
		  <div class="post-meta">
		    <ul>
		    <?php if ( !in_array( 'views', $metas_hide ) ) { // Author Hide
		     if ( function_exists( 'cascara_post_views_two' ) ) {
          cascara_post_views_two(get_the_ID());
         }
		    }
		    if ( !in_array( 'author', $metas_hide ) ) { // Author Hide ?>
		      <li><i class="fa fa-user-o" aria-hidden="true"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"> <?php echo esc_html(get_the_author()); ?></a></li>
		    <?php } if ( !in_array( 'date', $metas_hide ) ) { // Date Hide ?>
		      <li><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo esc_html(get_the_date()); ?></li>
		    <?php } if ( !in_array( 'comments', $metas_hide ) ) { // Category Hide
		      if (get_comments_number()!=0) { ?>
		      <li><?php echo '<i class="fa fa-commenting-o"></i>';
        	comments_popup_link( '0', '1', '%', '', '' );  ?></li>
		      <?php } }  if ( !in_array( 'category', $metas_hide ) ) { // Date Hide ?>
		      <li class="cscra-cat-list"><?php echo get_the_category_list( ' ' ); ?></li>
		      <?php } ?>
		    </ul>
		  </div>

		</div>
		<div class="post-detail-wrap">
	    <?php
	    if(!$cascara_single_share_option){} else {
	    if ( function_exists( 'cascara_wp_share_option' ) ) {
	    	echo cascara_wp_share_option();
	    } } ?>
			<!-- Content -->
			<?php
			the_content();
			echo cascara_wp_link_pages();
			?>
			<!-- Content -->
		  <div class="cscra-post-meta">
		    <div class="pull-left">
		      <?php
		      if(!$cascara_single_share_option){} else {
		      if ( function_exists( 'cascara_wp_share_option' ) ) {
		      	echo cascara_wp_share_option();
		      } } ?>
		    </div>
		    <?php
				$tag_list = get_the_tags();
			  if($tag_list) { ?>
		    <div class="pull-right">
		      <div class="cscra-blog-tags">
						<?php echo the_tags( '<ul><li>', '</li><li>', '</li></ul>' ); ?>
					</div>
				</div>
				<?php } ?>
		  </div>
		</div>
  </div>

	<!-- Author Info -->
	<?php
	if(!$cascara_single_author_info){} else {
		echo cascara_author_info();
	}
	?>
	<!-- Author Info -->
	<div class="cscra-blog-controls">
    <div class="row">
    	<?php
    	$older_post = cs_get_option('older_post');
      $newer_post = cs_get_option('newer_post');
      $older_post = $older_post ? $older_post : esc_html__( 'Previous Posts', 'cascara' );
      $newer_post = $newer_post ? $newer_post : esc_html__( 'Next Posts', 'cascara' );
    	$prev_post = get_adjacent_post(false, '', true);
    	if ($prev_post) { ?>
	      <div class="col-sm-6 col-xs-6">
	        <a href="<?php echo esc_url(get_permalink($prev_post->ID)); ?>">
	          <span class="post-control"><i class="fa fa-angle-left" aria-hidden="true"></i> <span class="control-subtitle"><?php echo esc_html($older_post); ?></span></span>
	          <span class="control-title"><?php echo esc_html($prev_post->post_title); ?></span>
	        </a>
	      </div>
    	<?php }
    	$next_post = get_adjacent_post(false, '', false);
    	if ($next_post) { ?>
	      <div class="col-sm-6 col-xs-6 text-right">
	        <a href="<?php echo esc_url(get_permalink($next_post->ID)); ?>">
	          <span class="post-control"><span class="control-subtitle"><?php echo esc_html($newer_post); ?></span> <i class="fa fa-angle-right" aria-hidden="true"></i></span>
	          <span class="control-title"><?php echo esc_html($next_post->post_title); ?></span>
	        </a>
	      </div>
    	<?php } ?>
    </div>
  </div>

</div><!-- #post-## -->
<?php
