<?php
/*
 * The template for displaying search results pages.
 * Author & Copyright: VictorThemes
 * URL: http://themeforest.net/user/VictorThemes
 */

get_header();

// Metabox
$cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox', true );

if ($cascara_meta) {
	$cascara_content_padding = $cascara_meta['content_spacings'];
} else { $cascara_content_padding = ''; }
// Padding - Metabox
if ($cascara_content_padding && $cascara_content_padding !== 'padding-none') {
	$cascara_content_top_spacings = $cascara_meta['content_top_spacings'];
	$cascara_content_bottom_spacings = $cascara_meta['content_bottom_spacings'];
	if ($cascara_content_padding === 'padding-custom') {
		$cascara_content_top_spacings = $cascara_content_top_spacings ? 'padding-top:'. cascara_check_px($cascara_content_top_spacings) .';' : '';
		$cascara_content_bottom_spacings = $cascara_content_bottom_spacings ? 'padding-bottom:'. cascara_check_px($cascara_content_bottom_spacings) .';' : '';
		$cascara_custom_padding = $cascara_content_top_spacings . $cascara_content_bottom_spacings;
	} else {
		$cascara_custom_padding = '';
	}
} else {
	$cascara_custom_padding = '';
}

// Theme Options
$cascara_blog_style = cs_get_option('blog_listing_style');
$cascara_sidebar_position = cs_get_option('blog_sidebar_position');
$blog_widget = cs_get_option('blog_widget');
$blog_widget = $blog_widget ? $blog_widget : 'sidebar-1';

// Sidebar Position
if ($cascara_sidebar_position === 'sidebar-hide' || !is_active_sidebar($blog_widget)) {
	$layout_class = 'col-md-12';
	$cascara_sidebar_class = 'cscra-hide-sidebar';
} elseif ($cascara_sidebar_position === 'sidebar-left') {
	$layout_class = 'cscra-primary';
	$cascara_sidebar_class = 'left-sidebar';
} else {
	$layout_class = 'cscra-primary';
	$cascara_sidebar_class = 'right-sidebar';
}
?>
<div class="cscra-mid-wrap <?php echo esc_attr($cascara_content_padding .' '. $cascara_sidebar_class); ?>" style="<?php echo esc_attr($cascara_custom_padding); ?>">
  <div class="container">
    <div class="row">
			<?php
			if ($cascara_sidebar_position === 'sidebar-left' && $cascara_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
			}
			?>
			<div class="cscra-content-side <?php echo esc_attr($layout_class); ?>">
				<?php
				if ( have_posts() ) :
					get_template_part( 'layouts/post/content' );
				else :
					get_template_part( 'layouts/post/content', 'none' );
				endif;
				cascara_paging_nav();
			  wp_reset_postdata();  // avoid errors further down the page
			  ?>
			</div><!-- Blog Div -->
			<?php
			if ($cascara_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
			}
			?>
		</div>
	</div>
</div>

<?php
get_footer();
