<?php
/*
 * The template for displaying all single posts.
 * Author & Copyright: VictorThemes
 * URL: http://themeforest.net/user/VictorThemes
 */
get_header();

// Metabox
$cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox', true );

if ($cascara_meta) {
	$cascara_content_padding = $cascara_meta['content_spacings'];
} else { $cascara_content_padding = ''; }
// Padding - Metabox
if ($cascara_content_padding && $cascara_content_padding !== 'padding-none') {
	$cascara_content_top_spacings = $cascara_meta['content_top_spacings'];
	$cascara_content_bottom_spacings = $cascara_meta['content_bottom_spacings'];
	if ($cascara_content_padding === 'padding-custom') {
		$cascara_content_top_spacings = $cascara_content_top_spacings ? 'padding-top:'. cascara_check_px($cascara_content_top_spacings) .';' : '';
		$cascara_content_bottom_spacings = $cascara_content_bottom_spacings ? 'padding-bottom:'. cascara_check_px($cascara_content_bottom_spacings) .';' : '';
		$cascara_custom_padding = $cascara_content_top_spacings . $cascara_content_bottom_spacings;
	} else {
		$cascara_custom_padding = '';
	}
} else {
	$cascara_custom_padding = '';
}

// Theme Options
$cascara_sidebar_position = cs_get_option('single_sidebar_position');
// Single Theme Option
$cascara_single_featured_image = cs_get_option('single_featured_image');
$blog_widget = cs_get_option('blog_widget');
$blog_widget = $blog_widget ? $blog_widget : 'sidebar-1';

// Sidebar Position
if ($cascara_sidebar_position === 'sidebar-hide' || !is_active_sidebar($blog_widget)) {
	$cascara_layout_class = 'col-md-12';
	$cascara_sidebar_class = 'hide-sidebar';
} elseif ($cascara_sidebar_position === 'sidebar-left') {
	$cascara_layout_class = 'cscra-primary';
	$cascara_sidebar_class = 'left-sidebar';
} else {
	$cascara_layout_class = 'cscra-primary';
	$cascara_sidebar_class = 'right-sidebar';
}
$cascara_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
$cascara_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$cascara_large_image = $cascara_large_image[0];

$cascara_page_layout = get_post_meta( get_the_ID(), 'post_type_options', true );
if ($cascara_page_layout) {
	$lay_option = $cascara_page_layout['full_ban'];
} else {
	$lay_option = '';
}
if ($lay_option === true) {
?>
<div class="cscra-banner cscra-parallax" style="background:url(<?php echo esc_url($cascara_large_image); ?>);"></div>
<?php } ?>
<div class="cscra-mid-wrap <?php echo esc_attr($cascara_content_padding .' '. $cascara_sidebar_class); ?>" style="<?php echo esc_attr($cascara_custom_padding); ?>">

  <div class="container">
    <div class="cscra-post-detail">

    	<?php if ($lay_option !== true) {
    	if ( get_post_format() === 'gallery' ) {
				if ( ! empty( $cascara_post_type['gallery_post_format'] ) ) {
				 ?>
					<!-- Gallery -->
					<div class="cscra-gallery-post">
						<?php if(!$cascara_single_featured_image){} else { ?>
						<div class="flexslider main-flexslider">
				      <ul class="slides">
				      	<?php
							  $cascara_ids = explode( ',', $cascara_post_type['gallery_post_format'] );
							  foreach ( $cascara_ids as $id ) {
							    $cascara_attachment = wp_get_attachment_image_src( $id, 'full' );
					    		$cascara_attachment = $cascara_attachment[0];
							    $cascara_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
							    echo '<li><div class="cscra-image post-image"><img src="'. esc_url($cascara_attachment) .'" alt="'. esc_attr($cascara_alt) .'"></div></li>';
							  }
								?>
				      </ul>
				    </div>
				    <?php } ?>
				    <div class="flexslider thumb-flexslider">
		          <ul class="slides">
		          	<?php
							  $cascara_ids = explode( ',', $cascara_post_type['gallery_post_format'] );
							  foreach ( $cascara_ids as $id ) {
							    $cascara_attachment = wp_get_attachment_image_src( $id, 'full' );
					    		$cascara_attachment = $cascara_attachment[0];

							    if(class_exists('Aq_Resize')) {
										$gallery_thumb = aq_resize( $cascara_attachment, '280', '185', true );
									} else {$gallery_thumb = $cascara_attachment;}
									$thumb_img = ( $gallery_thumb ) ? $gallery_thumb : $cascara_attachment;

							    $cascara_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
							    echo '<li><div class="cscra-image post-image"><img src="'. esc_url($thumb_img) .'" alt="'. esc_attr($cascara_alt) .'"></div></li>';
							  }
								?>
		          </ul>
		        </div>
	        </div>
		    <?php } else {
		    	if ($cascara_large_image) {
		    		if(!$cascara_single_featured_image){} else { ?>
				    <!-- Standard -->
					  <div class="cscra-image post-image">
					    <img src="<?php echo esc_url($cascara_large_image); ?>" alt="<?php echo get_the_title(); ?>">
					    <?php cascara_post_cat(); ?>
					  </div>
				  <?php } }
			  }
			} elseif ( get_post_format() === 'video' ) {
			if($cascara_post_type){
				$video_post = $cascara_post_type['video_post'];
			} else {
				$video_post = '';
			}
			if ($video_post) {
				if(!$cascara_single_featured_image){} else { ?>

				<div class="cscra-video-post">
          <iframe id="myUrl" src="<?php echo esc_url($video_post); ?>" width="1210" height="660" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
        </div>
			<?php } } else {
		  if ($cascara_large_image) {
		  	if(!$cascara_single_featured_image){} else { ?>
		    <!-- Video -->
			  <div class="post-image">
			    <img src="<?php echo esc_url($cascara_large_image); ?>" alt="<?php echo get_the_title(); ?>">
			    <?php cascara_post_cat(); ?>
			  </div>
		  <?php } } } } else {
			if ($cascara_large_image) {
				if(!$cascara_single_featured_image){} else { ?>
		    <!-- Standard -->
			  <div class="post-image">
		      <img src="<?php echo esc_url($cascara_large_image); ?>" alt="<?php echo get_the_title(); ?>">
		      <?php cascara_post_cat(); ?>
		    </div>
		  <?php } } } } ?>
	    <div class="row">
	    	<?php
				if ($cascara_sidebar_position === 'sidebar-left' && $cascara_sidebar_position !== 'sidebar-hide') {
					get_sidebar(); // Sidebar
				}
				?>
	      <div class="<?php echo esc_attr($cascara_layout_class); ?>">
					<?php
					if ( have_posts() ) :
						/* Start the Loop */
						while ( have_posts() ) : the_post();
						cascara_setPostViews(get_the_ID());
							get_template_part( 'layouts/post/content', 'single' );
							// If comments are open or we have at least one comment, load up the comment template.
							if (comments_open() || get_comments_number()) :
								comments_template();
							endif;
						endwhile;
					else :
						get_template_part( 'layouts/post/content', 'none' );
					endif; ?>
	      </div>
	      <?php
				if ($cascara_sidebar_position !== 'sidebar-hide' && is_active_sidebar($blog_widget)) {
					get_sidebar(); // Sidebar
				}
				?>
	    </div>
		</div>
	</div>
</div>

<?php
get_footer();
